/* $Id: testform.cpp 118 2008-08-06 15:00:20Z dirk $ */

/* GenLib2 - General Library 2
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <string>
#include <iostream>
#include "form.h"

int main()
{
	using namespace GenLib2;

	int		ival = 4711;
	double	dval = -1234.56789;
	string	str = "abcdef";

	cout << "right field adjustment (default):\n";

	Form int10; int10.width(10);
	cout << "I10  : >" << int10(ival) << "<\n";

	Form fix2(2); fix2.fixed().width(10);
	cout << "F10.2: >" << fix2(dval) << "<\n";

	Form sci4(4); sci4.scientific().width(12);
	cout << "E12.4: >" << sci4(dval) << "<\n";

	Form a10; a10.width(10);
	cout << "A10  : >" << a10(str.c_str()) << "<\n";

	cout << "left field adjustment:\n";

	int10.left();
	cout << "I10  : >" << int10(ival) << "<\n";

	fix2.left();
	cout << "F10.2: >" << fix2(dval) << "<\n";

	a10.left();
	cout << "A10  : >" << a10(str) << "<\n";
	
	return 0;
}
