/* $Id: testmatrix.cpp 118 2008-08-06 15:00:20Z dirk $ */

#include <iostream>
#include "../matrix.h"

int main(int argc, char* argv[])
{
	using namespace GenLib2;

	// empty matrix = matrix without size and initial value
	Matrix<double> A;
	A.print(cout); cout << endl;
	
	// matrix with size and without initial value
	Matrix<double> B(2, 3);
	B.print(cout); cout << endl;
	
	// matrix with size and value
	Matrix<double> C(2, 3, 47.11);
	C.print(cout); cout << endl;
	
	// change matrix size
	C.newsize(3, 3);
	C.print(cout); cout << endl;
	
	// set null matrix
	C.null();
	C.print(cout); cout << endl;
		
	// set identity matrix
	C.identity();
	C.print(cout); cout << endl;
	
	// reset matrix
	C.newsize(1, 3);
	C.print(cout); cout << endl;
	
	// copy matrix
	C = B;
	C.print(cout); cout << endl;

	return 0;
}
