/* $Id: osform.cpp 117 2008-08-06 14:53:40Z dirk $ */

/* GenLib2 - General Library 2
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#if defined(_WIN32)
	#define VSNPRINTF _vsnprintf
#else
	#define VSNPRINTF vsnprintf
#endif

#include <iostream>
#include "osform.h"

namespace GenLib2
{

// replacement of the old-style output function form

char* form(const char* fmt, ...)
{
	const int sz = 512;
	static char str[sz];

	va_list args;
	va_start(args, fmt);
	if (VSNPRINTF(str, sz, fmt, args) < 0)
		std::cerr << "GenLib2::form: output error encountered.\n";
	va_end(args);

	return str;
}

} // namespace GenLib2
